## com.saxonica.config
Class JavaLocalizerFactory

    java.lang.Object
      net.sf.saxon.trans.LocalizerFactory
          com.saxonica.config.JavaLocalizerFactory

All Implemented Interfaces:
  Serializable

    public class JavaLocalizerFactory

extends LocalizerFactory
implements Serializable

Default factory for number/date localizers for the Java platform

See Also:
  Serialized Form

Constructor Summary
`JavaLocalizerFactory(Configuration config)`

Method Summary
`JavaLocalizerFactory` `copy()` Copy the state of this factory to create a new LocalizerFactory
`Numberer` `getNumberer(String language, String country)` Get the numberer for a given language
`void` `setLanguageProperties(String lang, Properties properties)` Set properties for a particular language.
`void` `setLocalizationClass(String language, String className)` Set the name of the Localization class to be used for a particular language

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaLocalizerFactory

    public JavaLocalizerFactory(Configuration config)

Method Detail

### setLanguageProperties

    public void setLanguageProperties(String lang,
                                      Properties properties)

  Set properties for a particular language. The properties available are specific to the LocalizerFactory in use. Default implementation does nothing.

  Overrides:
    `setLanguageProperties` in class `LocalizerFactory`
  Parameters:
    `lang` - the language
    `properties` - properties of this language
  Since:
    9.2

### setLocalizationClass

    public void setLocalizationClass(String language,
                                     String className)

  Set the name of the Localization class to be used for a particular language

  Parameters:
    `language` - the language code, in ISO format, for example "fr" or "fr-CA"
    `className` - the name of the localization class. This must be a class that implements the interface `Numberer`; however, no error is reported if the class cannot be loaded or does not implement this interface; the system simply falls back to using the default localization class.
  Since:
    9.2

### getNumberer

    public Numberer getNumberer(String language,
                                String country)

  Get the numberer for a given language

  Specified by:
    `getNumberer` in class `LocalizerFactory`
  Parameters:
    `language` - the language code (for example "de" or "en-GB"
    `country` - the country, as used in format-date(). This is not the country associated with the language, but the one associated with the date to be formatted. It is primarily used to determine a civil time zone name.
  Returns:
    the appropriate numberer, or null if none is available (in which case the English numberer will be used)

### copy

    public JavaLocalizerFactory copy()

  Copy the state of this factory to create a new LocalizerFactory

  Overrides:
    `copy` in class `LocalizerFactory`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.